curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/marketplace/offers/assign-item \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"offerKey": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"artikelKey": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"categoryKey": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/offers/assign-item"
payload = {
"offerKey": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"artikelKey": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"categoryKey": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
offerKey: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
artikelKey: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
categoryKey: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/offers/assign-item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Assigns the specified item to the specified marketplace offer.
Assigns the specified item to the specified marketplace offer.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
Request parameters
Assigns the specified item to the specified marketplace offer. - Request
Marketplace offer key identifying the offer the item will be assigned to.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Article key identifying the item to assign to the marketplace offer.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Marketplace category key identifying the category the offer belongs to.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Successfully assigned the item to the marketplace offer.
Was this page helpful?